Amazon Linux 2:thunderbird(ALAS-2021-1618)

high Nessus プラグイン ID 147908
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのAmazon Linux 2ホストにセキュリティ更新プログラムがありません。

説明

リモートホストにインストールされているthunderbirdのバージョンは、78.8.0-1より前のものです。したがって、ALAS2-2021-1618のアドバイザリに記載されている複数の脆弱性の影響を受けます。

-コンテンツセキュリティポリシーがフレームナビゲーションをブロックした場合、フレームで提供されるリダイレクトの完全な宛先が違反レポートで報告されました。元のフレームURIとは対照的です。これはそのようなURLに含まれる機密情報を漏洩するために使用される可能性があります。()この脆弱性の影響を受けるのは、Firefox < 86、Thunderbird < 78.8、Firefox ESR < 78.8です。(CVE-2021-23968)

-W3Cコンテンツセキュリティポリシーのドラフトで指定されているとおり、ユーザーエージェントは、違反レポートを作成するとき、ソースファイルが事前にリダイレクトしたページによってリクエストされたURLであることを確認する必要があります。それが不可能な場合、ユーザーエージェントは、意図しない漏洩を回避するために、生成元までURLを削除する必要があります。特定の種類のリダイレクトで、Firefoxがソースファイルをリダイレクト先として不適切に設定していました。これはリダイレクト先の起点になるように修正されました。()この脆弱性の影響を受けるのは、Firefox < 86、Thunderbird < 78.8、Firefox ESR < 78.8です。(CVE-2021-23969)

オーディオ/ビデオコンテキストでクロスオリジンリソースの読み込みを試行する際、デコーディングエラーが発生した可能性があり、エラーの内容によってリソースの情報が明らかになった可能性があります。この脆弱性の影響を受けるのは、Firefox < 86、Thunderbird < 78.8、Firefox ESR < 78.8です。(CVE-2021-23973)

- Mozilla開発者が、Firefox 85およびFirefox ESR 78.7に存在するメモリの安全性に関するバグを報告しました。これらのバグの一部にはメモリ破損の証拠が示されており、当社では、手間をかけることにより、これらの一部が悪用され、任意のコードが実行される可能性があると推測しています。この脆弱性の影響を受けるのは、Firefox < 86、Thunderbird < 78.8、Firefox ESR < 78.8です。(CVE-2021-23978)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「yum update thunderbird」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2/ALAS-2021-1618.html

https://access.redhat.com/security/cve/CVE-2021-23968

https://access.redhat.com/security/cve/CVE-2021-23969

https://access.redhat.com/security/cve/CVE-2021-23973

https://access.redhat.com/security/cve/CVE-2021-23978

プラグインの詳細

深刻度: High

ID: 147908

ファイル名: al2_ALAS-2021-1618.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2021/3/19

更新日: 2021/3/19

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2021-23978

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:amazon:linux:thunderbird, p-cpe:/a:amazon:linux:thunderbird-debuginfo, cpe:/o:amazon:linux:2

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/3/18

脆弱性公開日: 2021/2/23

参照情報

CVE: CVE-2021-23968, CVE-2021-23969, CVE-2021-23973, CVE-2021-23978

ALAS: 2021-1618